#
# spec file for package python-pytest-base-url
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-pytest-base-url
Version:        2.1.0
Release:        1.3
Summary:        Pytest plugin for URL based testing
License:        MPL-2.0
URL:            https://github.com/pytest-dev/pytest-base-url
Source:         https://files.pythonhosted.org/packages/source/p/pytest-base-url/pytest_base_url-%{version}.tar.gz
BuildRequires:  %{python_module hatch_vcs}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytest >= 3.0.0
Requires:       python-requests >= 2.9
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest >= 3.0.0}
BuildRequires:  %{python_module pytest-localserver}
BuildRequires:  %{python_module requests >= 2.9}
# /SECTION
%python_subpackages

%description
pytest plugin for URL based testing.

%prep
%setup -q -n pytest_base_url-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest -k 'not (test_url_fails or test_metadata)'

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/pytest_base_url
%{python_sitelib}/pytest_base_url-%{version}.dist-info

%changelog
* Mon Apr  8 2024 Dirk Müller <dmueller@suse.com>
- update to 2.1.0:
  * Drop support for python 3.7
  * Add support for python 3.11 - 3.12
  * Add support for pytest-metadata 3.x
  * Switch to Hatch
* Tue Jun 20 2023 Steve Kowalik <steven.kowalik@suse.com>
- Skip one test that requires network.
- Stop using greedy globbing in %%files.
* Fri Apr 29 2022 Markéta Machová <mmachova@suse.com>
- Update to 2.0.0
  * Drop python 2.7 and 3.6 support
  * Switch to pyproject.toml and Poetry
* Tue Jul 21 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.4.2
